API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/loads/{loadId}/dispatches/{dispatchId}/tonu-recover

ark.mark_dispatch_tonu_recovered

Marks an active dispatch TONU and recovered, sets TONU fees, returns the load to Available, and stops configured tracking sessions.

Availability
Expanded preview
Scopes
loads:dispatch
ARK permissions
canAssignLoads
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

loadIdpathstringrequired
format: uuid
dispatchIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

carrierTonuFeenumberrequired

min: 0

customerTonuFeenumber | null

min: 0

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/dispatches/<dispatchId>/tonu-recover' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{
  "carrierTonuFee": 0
}'

Success response

Marked dispatch TONU recovered

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.loadIdstringrequired

format: uuid

data.dispatchIdstringrequired

format: uuid

data.actionstringrequired

one of: cancel_dispatch, tonu_deliver, tonu_recover, repower

data.dispatchPayIdstring | nullrequired

format: uuid

data.sideEffectErrorstring | nullrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry